<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXSafeDataModel类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_safe_data_model.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> &#124;
<a href="interface_x_h_x_safe_data_model-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXSafeDataModel类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXSafeDataModel 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_safe_data_model.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a80f187ce208bb9256b811701919d13a7"><td class="memItemLeft" align="right" valign="top">XHXSafeDataOperationType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_safe_data_model.html#a80f187ce208bb9256b811701919d13a7">operationType</a></td></tr>
<tr class="memdesc:a80f187ce208bb9256b811701919d13a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">操作类型  <a href="interface_x_h_x_safe_data_model.html#a80f187ce208bb9256b811701919d13a7">更多...</a><br /></td></tr>
<tr class="separator:a80f187ce208bb9256b811701919d13a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a083d96499b090559eafdccd8e49968ca"><td class="memItemLeft" align="right" valign="top">NSArray&lt; id &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_safe_data_model.html#a083d96499b090559eafdccd8e49968ca">dataArray</a></td></tr>
<tr class="memdesc:a083d96499b090559eafdccd8e49968ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">数据源列表  <a href="interface_x_h_x_safe_data_model.html#a083d96499b090559eafdccd8e49968ca">更多...</a><br /></td></tr>
<tr class="separator:a083d96499b090559eafdccd8e49968ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea2815dced2025c5c6b550b6ea5599bf"><td class="memItemLeft" align="right" valign="top">NSArray&lt; NSIndexPath * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_safe_data_model.html#aea2815dced2025c5c6b550b6ea5599bf">indexPaths</a></td></tr>
<tr class="memdesc:aea2815dced2025c5c6b550b6ea5599bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">tableView需要更新的indexPaths列表 section默认为0  <a href="interface_x_h_x_safe_data_model.html#aea2815dced2025c5c6b550b6ea5599bf">更多...</a><br /></td></tr>
<tr class="separator:aea2815dced2025c5c6b550b6ea5599bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a246736a97c2f8f9f7301b5c5348c6b9c"><td class="memItemLeft" align="right" valign="top">NSIndexPath *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_safe_data_model.html#a246736a97c2f8f9f7301b5c5348c6b9c">fromIndexPath</a></td></tr>
<tr class="memdesc:a246736a97c2f8f9f7301b5c5348c6b9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">移动操作的起始索引  <a href="interface_x_h_x_safe_data_model.html#a246736a97c2f8f9f7301b5c5348c6b9c">更多...</a><br /></td></tr>
<tr class="separator:a246736a97c2f8f9f7301b5c5348c6b9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f1d5b451b17780743cfd71078aa6fe"><td class="memItemLeft" align="right" valign="top">NSIndexPath *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_safe_data_model.html#a08f1d5b451b17780743cfd71078aa6fe">toIndexPath</a></td></tr>
<tr class="memdesc:a08f1d5b451b17780743cfd71078aa6fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">移动操作的目的索引  <a href="interface_x_h_x_safe_data_model.html#a08f1d5b451b17780743cfd71078aa6fe">更多...</a><br /></td></tr>
<tr class="separator:a08f1d5b451b17780743cfd71078aa6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a> 第 <a class="el" href="_x_h_x_safe_data_model_8h_source.html#l00018">18</a> 行定义.</p>
</div><h2 class="groupheader">属性说明</h2>
<a id="a083d96499b090559eafdccd8e49968ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a083d96499b090559eafdccd8e49968ca">&#9670;&nbsp;</a></span>dataArray</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray&lt;id&gt;*) dataArray</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>数据源列表 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a> 第 <a class="el" href="_x_h_x_safe_data_model_8h_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a246736a97c2f8f9f7301b5c5348c6b9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a246736a97c2f8f9f7301b5c5348c6b9c">&#9670;&nbsp;</a></span>fromIndexPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSIndexPath*) fromIndexPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>移动操作的起始索引 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a> 第 <a class="el" href="_x_h_x_safe_data_model_8h_source.html#l00027">27</a> 行定义.</p>

</div>
</div>
<a id="aea2815dced2025c5c6b550b6ea5599bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea2815dced2025c5c6b550b6ea5599bf">&#9670;&nbsp;</a></span>indexPaths</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray&lt;NSIndexPath *&gt;*) indexPaths</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>tableView需要更新的indexPaths列表 section默认为0 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a> 第 <a class="el" href="_x_h_x_safe_data_model_8h_source.html#l00025">25</a> 行定义.</p>

</div>
</div>
<a id="a80f187ce208bb9256b811701919d13a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80f187ce208bb9256b811701919d13a7">&#9670;&nbsp;</a></span>operationType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (XHXSafeDataOperationType) operationType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>操作类型 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a> 第 <a class="el" href="_x_h_x_safe_data_model_8h_source.html#l00021">21</a> 行定义.</p>

</div>
</div>
<a id="a08f1d5b451b17780743cfd71078aa6fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08f1d5b451b17780743cfd71078aa6fe">&#9670;&nbsp;</a></span>toIndexPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSIndexPath*) toIndexPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>移动操作的目的索引 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a> 第 <a class="el" href="_x_h_x_safe_data_model_8h_source.html#l00029">29</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/XHXSafeData/<a class="el" href="_x_h_x_safe_data_model_8h_source.html">XHXSafeDataModel.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_safe_data_model.html">XHXSafeDataModel</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
